[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.GetEnumerator

Create an IEnumerator instance

## Declaration

Source position: classesh.inc line 558

`public function TCollection.GetEnumerator: TCollectionEnumerator;`

## Description

GetEnumerator is the implementation of the IEnumerable interface for TCollection. It creates a TCollectionEnumerator instance and returns it's IEnumerator interface.

## See also

TCollectionEnumerator |  | Implements IEnumerator for the TCollection class.
IEnumerator |  | Enumerator support interface
IEnumerable |  | Interface to retrieve an enumerator from a class.

Documentation generated on: Feb 26 2014